Get format-driven result export status
curl --request GET \
--url https://app.strandai.com/api/v1/jobs/{id}/exports \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.strandai.com/api/v1/jobs/{id}/exports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.strandai.com/api/v1/jobs/{id}/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schemaVersion": "1.0",
"status": "pending",
"format": "ome-zarr",
"selection": {
"includeHe": true,
"includeSegmentation": true
},
"expiresAt": "2023-11-07T05:31:56Z",
"retryable": true,
"error": "<string>",
"artifacts": {
"prediction": {
"format": "ome-zarr-v3",
"role": "predicted-mif",
"dataModel": "pixel-grid",
"stored": true,
"converted": true,
"includesHe": true,
"rootUrl": "<string>",
"baseUrl": "<string>",
"downloadUrl": "<string>",
"sizeBytes": 123
},
"he": {
"format": "ome-zarr-v3",
"role": "processed-registered-he",
"rootUrl": "<string>",
"baseUrl": "<string>"
},
"segmentation": {
"schemaVersion": "1.0",
"layerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entityType": "<string>",
"modelVersion": "<string>",
"coordinateFrame": "<string>",
"instanceCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"artifacts": {
"mask": {
"format": "ome-zarr-v3",
"dtype": "uint32",
"baseUrl": "<string>"
},
"cells": {
"format": "parquet",
"morphologyUrl": "<string>",
"markerExpressionBaseUrl": "<string>",
"markers": [
"<string>"
],
"joinKey": "instance_id",
"maskJoinKey": "local_label",
"geometry": [
"<string>"
],
"morphology": [
"<string>"
],
"expression": [
"<string>"
]
},
"provenance": {
"format": "json",
"url": "<string>"
}
}
}
}
}{
"schemaVersion": "1.0",
"status": "pending",
"format": "ome-zarr",
"selection": {
"includeHe": true,
"includeSegmentation": true
},
"expiresAt": "2023-11-07T05:31:56Z",
"retryable": true,
"error": "<string>",
"artifacts": {
"prediction": {
"format": "ome-zarr-v3",
"role": "predicted-mif",
"dataModel": "pixel-grid",
"stored": true,
"converted": true,
"includesHe": true,
"rootUrl": "<string>",
"baseUrl": "<string>",
"downloadUrl": "<string>",
"sizeBytes": 123
},
"he": {
"format": "ome-zarr-v3",
"role": "processed-registered-he",
"rootUrl": "<string>",
"baseUrl": "<string>"
},
"segmentation": {
"schemaVersion": "1.0",
"layerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entityType": "<string>",
"modelVersion": "<string>",
"coordinateFrame": "<string>",
"instanceCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"artifacts": {
"mask": {
"format": "ome-zarr-v3",
"dtype": "uint32",
"baseUrl": "<string>"
},
"cells": {
"format": "parquet",
"morphologyUrl": "<string>",
"markerExpressionBaseUrl": "<string>",
"markers": [
"<string>"
],
"joinKey": "instance_id",
"maskJoinKey": "local_label",
"geometry": [
"<string>"
],
"morphology": [
"<string>"
],
"expression": [
"<string>"
]
},
"provenance": {
"format": "json",
"url": "<string>"
}
}
}
}
}{
"error": "<string>",
"message": "<string>",
"required": 123,
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"required": 123,
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"required": 123,
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"required": 123,
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"required": 123,
"retryAfterSeconds": 123
}Endpoints
Get result export
Poll a format-driven result export and refresh expiring artifact URLs.
GET
/
jobs
/
{id}
/
exports
Get format-driven result export status
Pass the same format and content-selection query used for the request. Pending/running exports return
202; ready native or generated artifacts return 200.Authorizations
ApiKeyOAuth2
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Available options:
ome-zarr, ome-zarr-zip, ome-tiff Include processed/registered H&E.
Response
Result ready
Available options:
1.0 Available options:
pending, running, ready, failed Available options:
ome-zarr, ome-zarr-zip, ome-tiff Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I